import {Component, Input, OnInit, Output, EventEmitter} from '@angular/core';
import {Article} from "../../../shared/model/article";
import {NavController} from "@ionic/angular";
import {getUser} from "../../../mine/mine.service";

@Component({
  selector: 'app-article-item',
  templateUrl: './article-item.component.html',
  styleUrls: ['./article-item.component.scss'],
  standalone:false,
})
export class ArticleItemComponent  implements OnInit {
  @Input() article!:Article
  @Input() lock:boolean = true;
  freeReadCount:number=0;

  constructor(private navCtrl: NavController) {
    getUser().subscribe((res)=>{
      if(res.username != "") {
        this.freeReadCount = parseInt(localStorage.getItem("giftCount")!)
      }
    })
  }

  ngOnInit() {}

  onUnlock() {

  }
  detail(){
    console.log("跳转")
    if(!this.article.lock && this.article.stocks != "" && this.article.content != "") {
      console.log("跳转")
      this.navCtrl.navigateForward('/home/article-detail', {
        state:{article:this.article}
      });
    }
  }
  formatReleaseTime(releaseDate: string, releaseTime: string): string {
    const date = new Date(releaseDate);
    const time = releaseTime || '00:00:00';
    const today = new Date();
    const yesterday = new Date(today);
    yesterday.setDate(yesterday.getDate() - 1);
    const dayBeforeYesterday = new Date(today);
    dayBeforeYesterday.setDate(dayBeforeYesterday.getDate() - 2);

    // 格式化日期为 YYYY-MM-DD
    const formatDate = (d: Date) => {
      return d.toISOString().split('T')[0];
    };

    // 格式化日期为 MM-DD
    const formatShortDate = (d: Date) => {
      return `${d.getMonth() + 1}月${d.getDate()}日`;
    };

    const dateStr = formatDate(date);
    const todayStr = formatDate(today);
    const yesterdayStr = formatDate(yesterday);
    const dayBeforeYesterdayStr = formatDate(dayBeforeYesterday);

    if (dateStr === todayStr) {
      return time;
    } else if (dateStr === yesterdayStr) {
      return `昨天 ${time}`;
    } else if (dateStr === dayBeforeYesterdayStr) {
      return `前天 ${time}`;
    } else {
      return `${formatShortDate(date)} ${time}`;
    }
  }
}
