import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {map, Observable} from "rxjs";
import {Article} from "../shared/model/article";
import {extractData, Page} from "../shared/model/page";
import {HttpUtils} from "../shared/until/http.utils";

@Injectable({
  providedIn: 'root'
})
export class HomeService {

  constructor(private http:HttpClient) { }
  list(searchParams:{[key:string]:string}):Observable<Page<Article>>{
    return this.http.get('/api/article/all',{params:HttpUtils.getSearchParams(searchParams)}).pipe(
        map(response => extractData<Article>(response)),
    )
  }
  unlockList(searchParams:{[key:string]:string}):Observable<Page<Article>>{
    return this.http.get('/api/article/unlock',{params:HttpUtils.getSearchParams(searchParams)}).pipe(
      map(response => extractData<Article>(response)),
    )
  }
  freeList(searchParams:{[key:string]:string}):Observable<Page<Article>>{
    return this.http.get('/api/article/free',{params:HttpUtils.getSearchParams(searchParams)}).pipe(
      map(response => extractData<Article>(response)),
    )
  }
  getAllClass():Observable<string[]>{
    return this.http.get<string[]>('/api/article/class')
  }
  getArticleDetail(uid:number):Observable<Article>{
    return this.http.get<Article>(`/api/article/detail/${uid}`)
  }
}
