import { Component, Input } from '@angular/core';
import { ModalController } from '@ionic/angular';
import {defaultSlideConfig, SlideConfig, SlideData, SlidePoint} from "go-captcha-angular";

@Component({
  selector: 'app-captcha-modal',
  templateUrl: './captcha-modal.component.html',
  styleUrls: ['./captcha-modal.component.scss'],
  standalone:false,
})
export class CaptchaModalComponent {
  @Input() captchaData!: SlideData;
  @Input() x:number = -2
  slideConfig:SlideConfig= defaultSlideConfig()
  constructor(private modalCtrl: ModalController) {
  }

  close(success: boolean) {
    this.modalCtrl.dismiss(0);
  }
  captchaEvents = {
    confirm: (point: SlidePoint, clear: (fn: Function) => void) => {
      console.log('用户滑动位置:', point);
      if(point.x < this.x+5 && point.x >this.x-5 ) {
        this.modalCtrl.dismiss(this.x)
      }
      clear(() => {
        console.log('滑动验证失败，清除验证码');
      });
    }
  };
}
