package modules

import (
	service "cls/internal/application/article"
	repo "cls/internal/infrastructure/persistence/article"
	"cls/internal/interfaces"
	"cls/internal/interfaces/article"
	"go.uber.org/fx"
)

var ArticleModule = fx.Module("ArticleModule",
	fx.Provide(
		interfaces.AsHandler(article.NewArticleHandle),
		service.NewArticleResp,
		service.NewArticleService,
		repo.NewArticleRepositoryORM,
	),
)
